import { __decorate } from "tslib";
import { observable } from '@microsoft/fast-element';
import { FoundationElement } from '@microsoft/fast-foundation';
import { logger } from '../utils';
import { foundationErrorDialogStyles as styles } from './error-dialog.styles';
import { errorDialogTemplate as template } from './error-dialog.template';
export const foundationErrorDialogShadowOptions = {
    mode: 'open',
    delegatesFocus: true,
};
export class ErrorDialog extends FoundationElement {
    connectedCallback() {
        super.connectedCallback();
    }
    show() {
        this.dialog.show();
    }
    dismiss() {
        try {
            this.dialog.close();
            this.remove();
        }
        catch (e) {
            logger.error(e);
        }
    }
}
__decorate([
    observable
], ErrorDialog.prototype, "error", void 0);
export const foundationErrorDialog = ErrorDialog.compose({
    baseName: 'error-dialog',
    template,
    styles,
    shadowOptions: foundationErrorDialogShadowOptions,
});
